Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.service
Class ServiceDescriptionImpl

    java.lang.Object
      org.jboss.txbridge.ba.service.ServiceDescriptionImpl

All Implemented Interfaces:
  java.io.Serializable, ServiceDescription

    public class ServiceDescriptionImpl

extends java.lang.Object
implements ServiceDescription

This class describes the service in terms of all its requirements related to participation in Business Activities. TODO: Redesign this - it's really inefficient now!

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)
See Also:
  Serialized Form

Field Summary
`private AgreementType` | `agreementType`
`private MethodDescription` | `compensationMethod` Information about the datamgmt method.
`private MethodDescription` | `completionMethod` Information about the completion method
`private DataMatch` | `dataMatch`
`private ExecutionMode` | `executionMode`
`private java.util.Map<java.lang.String,MethodDescription>` | `methods`
`private MethodType` | `methodType` BA-related information.
`private MethodDescription` | `originalMethod` Information about the original method.
`private ParameterMatch` | `parameterMatch`

Constructor Summary
`ServiceDescriptionImpl()`

Method Summary
`AgreementType` | `getAgreementType()`
`java.lang.Class` | `getCompensationClass()`
`java.lang.Class` | `getCompensationEjbInterface()`
`java.lang.String` | `getCompensationJNDIName()`
`java.lang.String` | `getCompensationMethodName()`
`java.lang.Object[]` | `getCompensationParameterAnnotations()`
`java.lang.Class[]` | `getCompensationParameterTypes()`
`java.lang.String` | `getCompensationProviderURL()`
`java.lang.Class` | `getCompensationReturnType()`
`MethodDescription` | `getCompensationService()`
`java.lang.String` | `getCompensationWebMethodName()`
`java.lang.Class` | `getCompletionClass()`
`java.lang.Class` | `getCompletionEjbInterface()`
`java.lang.String` | `getCompletionJNDIName()`
`java.lang.String` | `getCompletionMethodName()`
`java.lang.Object[]` | `getCompletionParameterAnnotations()`
`java.lang.Class[]` | `getCompletionParameterTypes()`
`java.lang.String` | `getCompletionProviderURL()`
`java.lang.Class` | `getCompletionReturnType()`
`MethodDescription` | `getCompletionService()`
`java.lang.String` | `getCompletionWebMethodName()`
`DataMatch` | `getDataMatch()`
`ExecutionMode` | `getExecutionMode()`
`MethodDescription` | `getMethod(java.lang.String methodName)`
`MethodType` | `getMethodType()`
`java.lang.Class` | `getOriginalClass()`
`java.lang.String` | `getOriginalMethodName()`
`java.lang.Object[]` | `getOriginalParameterAnnotations()`
`java.lang.Class[]` | `getOriginalParameterTypes()`
`java.lang.Object` | `getOriginalReturnId()`
`java.lang.Class` | `getOriginalReturnType()`
`java.lang.String` | `getOriginalWebMethodName()`
`ParameterMatch` | `getParameterMatch()`
`boolean` | `isCompensationSingle()`
`boolean` | `isCompletionSingle()`
`void` | `putMethod(java.lang.String methodName, MethodDescription method)`
`void` | `setAgreementType(AgreementType agreementType)`
`void` | `setCompensationClass(java.lang.Class compensationClass)`
`void` | `setCompensationEjbInterface(java.lang.Class ejbInterface)`
`void` | `setCompensationJNDIName(java.lang.String jndiName)`
`void` | `setCompensationMethodName(java.lang.String compensationMethodName)`
`void` | `setCompensationParameterAnnotations(java.lang.Object[] compensationParameterAnnotations)`
`void` | `setCompensationParameterTypes(java.lang.Class[] compensationParameterTypes)`
`void` | `setCompensationProviderURL(java.lang.String providerURL)`
`void` | `setCompensationReturnType(java.lang.Class compensationReturnType)`
`void` | `setCompensationSingle(boolean value)`
`void` | `setCompensationWebMethodName(java.lang.String compensationWebMethodName)`
`void` | `setCompletionClass(java.lang.Class completionClass)`
`void` | `setCompletionEjbInterface(java.lang.Class ejbInterface)`
`void` | `setCompletionJNDIName(java.lang.String jndiName)`
`void` | `setCompletionMethodName(java.lang.String completionMethodName)`
`void` | `setCompletionParameterAnnotations(java.lang.Object[] completionParameterAnnotations)`
`void` | `setCompletionParameterTypes(java.lang.Class[] completionParameterTypes)`
`void` | `setCompletionProviderURL(java.lang.String providerURL)`
`void` | `setCompletionReturnType(java.lang.Class completionReturnType)`
`void` | `setCompletionSingle(boolean value)`
`void` | `setCompletionWebMethodName(java.lang.String completionWebMethodName)`
`void` | `setDataMatch(DataMatch dataMatch)`
`void` | `setExecutionMode(ExecutionMode executionMode)`
`void` | `setMethodType(MethodType methodType)`
`void` | `setOriginalClass(java.lang.Class originalClass)`
`void` | `setOriginalMethodName(java.lang.String originalMethodName)`
`void` | `setOriginalParameterAnnotations(java.lang.Object[] originalParameterAnnotation)`
`void` | `setOriginalParameterTypes(java.lang.Class[] originalParameterTypes)`
`void` | `setOriginalReturnId(java.lang.Object originalReturnId)`
`void` | `setOriginalReturnType(java.lang.Class originalReturnType)`
`void` | `setOriginalWebMethodName(java.lang.String originalWebMethodName)`
`void` | `setParameterMatch(ParameterMatch parameterMatch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### methodType

    private MethodType methodType

  BA-related information.

### agreementType

    private AgreementType agreementType

### methods

    private java.util.Map<java.lang.String,MethodDescription> methods

### dataMatch

    private DataMatch dataMatch

### executionMode

    private ExecutionMode executionMode

### parameterMatch

    private ParameterMatch parameterMatch

### originalMethod

    private MethodDescription originalMethod

  Information about the original method.

### compensationMethod

    private MethodDescription compensationMethod

  Information about the datamgmt method.

### completionMethod

    private MethodDescription completionMethod

  Information about the completion method

Constructor Detail

### ServiceDescriptionImpl

    public ServiceDescriptionImpl()

Method Detail

### getMethodType

    public MethodType getMethodType()

  Specified by:
    `getMethodType` in interface `ServiceDescription`

### setMethodType

    public void setMethodType(MethodType methodType)

  Specified by:
    `setMethodType` in interface `ServiceDescription`

### getAgreementType

    public AgreementType getAgreementType()

  Specified by:
    `getAgreementType` in interface `ServiceDescription`

### setAgreementType

    public void setAgreementType(AgreementType agreementType)

  Specified by:
    `setAgreementType` in interface `ServiceDescription`

### putMethod

    public void putMethod(java.lang.String methodName,
                          MethodDescription method)

  Specified by:
    `putMethod` in interface `ServiceDescription`

### getMethod

    public MethodDescription getMethod(java.lang.String methodName)

  Specified by:
    `getMethod` in interface `ServiceDescription`

### getDataMatch

    public DataMatch getDataMatch()

  Specified by:
    `getDataMatch` in interface `ServiceDescription`

### setDataMatch

    public void setDataMatch(DataMatch dataMatch)

  Specified by:
    `setDataMatch` in interface `ServiceDescription`

### getExecutionMode

    public ExecutionMode getExecutionMode()

  Specified by:
    `getExecutionMode` in interface `ServiceDescription`

### setExecutionMode

    public void setExecutionMode(ExecutionMode executionMode)

  Specified by:
    `setExecutionMode` in interface `ServiceDescription`

### getParameterMatch

    public ParameterMatch getParameterMatch()

  Specified by:
    `getParameterMatch` in interface `ServiceDescription`

### setParameterMatch

    public void setParameterMatch(ParameterMatch parameterMatch)

  Specified by:
    `setParameterMatch` in interface `ServiceDescription`

### getOriginalClass

    public java.lang.Class getOriginalClass()

  Specified by:
    `getOriginalClass` in interface `ServiceDescription`

### setOriginalClass

    public void setOriginalClass(java.lang.Class originalClass)

  Specified by:
    `setOriginalClass` in interface `ServiceDescription`

### getOriginalMethodName

    public java.lang.String getOriginalMethodName()

  Specified by:
    `getOriginalMethodName` in interface `ServiceDescription`

### setOriginalMethodName

    public void setOriginalMethodName(java.lang.String originalMethodName)

  Specified by:
    `setOriginalMethodName` in interface `ServiceDescription`

### getOriginalWebMethodName

    public java.lang.String getOriginalWebMethodName()

  Specified by:
    `getOriginalWebMethodName` in interface `ServiceDescription`

### setOriginalWebMethodName

    public void setOriginalWebMethodName(java.lang.String originalWebMethodName)

  Specified by:
    `setOriginalWebMethodName` in interface `ServiceDescription`

### getOriginalReturnType

    public java.lang.Class getOriginalReturnType()

  Specified by:
    `getOriginalReturnType` in interface `ServiceDescription`

### setOriginalReturnType

    public void setOriginalReturnType(java.lang.Class originalReturnType)

  Specified by:
    `setOriginalReturnType` in interface `ServiceDescription`

### getOriginalParameterTypes

    public java.lang.Class[] getOriginalParameterTypes()

  Specified by:
    `getOriginalParameterTypes` in interface `ServiceDescription`

### setOriginalParameterTypes

    public void setOriginalParameterTypes(java.lang.Class[] originalParameterTypes)

  Specified by:
    `setOriginalParameterTypes` in interface `ServiceDescription`

### getOriginalReturnId

    public java.lang.Object getOriginalReturnId()

  Specified by:
    `getOriginalReturnId` in interface `ServiceDescription`

### setOriginalReturnId

    public void setOriginalReturnId(java.lang.Object originalReturnId)

  Specified by:
    `setOriginalReturnId` in interface `ServiceDescription`

### getOriginalParameterAnnotations

    public java.lang.Object[] getOriginalParameterAnnotations()

  Specified by:
    `getOriginalParameterAnnotations` in interface `ServiceDescription`

### setOriginalParameterAnnotations

    public void setOriginalParameterAnnotations(java.lang.Object[] originalParameterAnnotation)

  Specified by:
    `setOriginalParameterAnnotations` in interface `ServiceDescription`

### getCompensationClass

    public java.lang.Class getCompensationClass()

  Specified by:
    `getCompensationClass` in interface `ServiceDescription`

### setCompensationClass

    public void setCompensationClass(java.lang.Class compensationClass)

  Specified by:
    `setCompensationClass` in interface `ServiceDescription`

### getCompensationMethodName

    public java.lang.String getCompensationMethodName()

  Specified by:
    `getCompensationMethodName` in interface `ServiceDescription`

### setCompensationMethodName

    public void setCompensationMethodName(java.lang.String compensationMethodName)

  Specified by:
    `setCompensationMethodName` in interface `ServiceDescription`

### getCompensationWebMethodName

    public java.lang.String getCompensationWebMethodName()

  Specified by:
    `getCompensationWebMethodName` in interface `ServiceDescription`

### setCompensationWebMethodName

    public void setCompensationWebMethodName(java.lang.String compensationWebMethodName)

  Specified by:
    `setCompensationWebMethodName` in interface `ServiceDescription`

### getCompensationReturnType

    public java.lang.Class getCompensationReturnType()

  Specified by:
    `getCompensationReturnType` in interface `ServiceDescription`

### setCompensationReturnType

    public void setCompensationReturnType(java.lang.Class compensationReturnType)

  Specified by:
    `setCompensationReturnType` in interface `ServiceDescription`

### getCompensationParameterTypes

    public java.lang.Class[] getCompensationParameterTypes()

  Specified by:
    `getCompensationParameterTypes` in interface `ServiceDescription`

### setCompensationParameterTypes

    public void setCompensationParameterTypes(java.lang.Class[] compensationParameterTypes)

  Specified by:
    `setCompensationParameterTypes` in interface `ServiceDescription`

### getCompensationParameterAnnotations

    public java.lang.Object[] getCompensationParameterAnnotations()

  Specified by:
    `getCompensationParameterAnnotations` in interface `ServiceDescription`

### setCompensationParameterAnnotations

    public void setCompensationParameterAnnotations(java.lang.Object[] compensationParameterAnnotations)

  Specified by:
    `setCompensationParameterAnnotations` in interface `ServiceDescription`

### getCompensationJNDIName

    public java.lang.String getCompensationJNDIName()

  Specified by:
    `getCompensationJNDIName` in interface `ServiceDescription`

### setCompensationJNDIName

    public void setCompensationJNDIName(java.lang.String jndiName)

  Specified by:
    `setCompensationJNDIName` in interface `ServiceDescription`

### getCompensationProviderURL

    public java.lang.String getCompensationProviderURL()

  Specified by:
    `getCompensationProviderURL` in interface `ServiceDescription`

### setCompensationProviderURL

    public void setCompensationProviderURL(java.lang.String providerURL)

  Specified by:
    `setCompensationProviderURL` in interface `ServiceDescription`

### isCompensationSingle

    public boolean isCompensationSingle()

  Specified by:
    `isCompensationSingle` in interface `ServiceDescription`

### setCompensationSingle

    public void setCompensationSingle(boolean value)

  Specified by:
    `setCompensationSingle` in interface `ServiceDescription`

### getCompensationEjbInterface

    public java.lang.Class getCompensationEjbInterface()

  Specified by:
    `getCompensationEjbInterface` in interface `ServiceDescription`

### setCompensationEjbInterface

    public void setCompensationEjbInterface(java.lang.Class ejbInterface)

  Specified by:
    `setCompensationEjbInterface` in interface `ServiceDescription`

### getCompletionClass

    public java.lang.Class getCompletionClass()

  Specified by:
    `getCompletionClass` in interface `ServiceDescription`

### setCompletionClass

    public void setCompletionClass(java.lang.Class completionClass)

  Specified by:
    `setCompletionClass` in interface `ServiceDescription`

### getCompletionMethodName

    public java.lang.String getCompletionMethodName()

  Specified by:
    `getCompletionMethodName` in interface `ServiceDescription`

### setCompletionMethodName

    public void setCompletionMethodName(java.lang.String completionMethodName)

  Specified by:
    `setCompletionMethodName` in interface `ServiceDescription`

### getCompletionWebMethodName

    public java.lang.String getCompletionWebMethodName()

  Specified by:
    `getCompletionWebMethodName` in interface `ServiceDescription`

### setCompletionWebMethodName

    public void setCompletionWebMethodName(java.lang.String completionWebMethodName)

  Specified by:
    `setCompletionWebMethodName` in interface `ServiceDescription`

### getCompletionReturnType

    public java.lang.Class getCompletionReturnType()

  Specified by:
    `getCompletionReturnType` in interface `ServiceDescription`

### setCompletionReturnType

    public void setCompletionReturnType(java.lang.Class completionReturnType)

  Specified by:
    `setCompletionReturnType` in interface `ServiceDescription`

### getCompletionParameterTypes

    public java.lang.Class[] getCompletionParameterTypes()

  Specified by:
    `getCompletionParameterTypes` in interface `ServiceDescription`

### setCompletionParameterTypes

    public void setCompletionParameterTypes(java.lang.Class[] completionParameterTypes)

  Specified by:
    `setCompletionParameterTypes` in interface `ServiceDescription`

### getCompletionParameterAnnotations

    public java.lang.Object[] getCompletionParameterAnnotations()

  Specified by:
    `getCompletionParameterAnnotations` in interface `ServiceDescription`

### setCompletionParameterAnnotations

    public void setCompletionParameterAnnotations(java.lang.Object[] completionParameterAnnotations)

  Specified by:
    `setCompletionParameterAnnotations` in interface `ServiceDescription`

### getCompletionJNDIName

    public java.lang.String getCompletionJNDIName()

  Specified by:
    `getCompletionJNDIName` in interface `ServiceDescription`

### setCompletionJNDIName

    public void setCompletionJNDIName(java.lang.String jndiName)

  Specified by:
    `setCompletionJNDIName` in interface `ServiceDescription`

### getCompletionProviderURL

    public java.lang.String getCompletionProviderURL()

  Specified by:
    `getCompletionProviderURL` in interface `ServiceDescription`

### setCompletionProviderURL

    public void setCompletionProviderURL(java.lang.String providerURL)

  Specified by:
    `setCompletionProviderURL` in interface `ServiceDescription`

### isCompletionSingle

    public boolean isCompletionSingle()

  Specified by:
    `isCompletionSingle` in interface `ServiceDescription`

### setCompletionSingle

    public void setCompletionSingle(boolean value)

  Specified by:
    `setCompletionSingle` in interface `ServiceDescription`

### getCompletionEjbInterface

    public java.lang.Class getCompletionEjbInterface()

  Specified by:
    `getCompletionEjbInterface` in interface `ServiceDescription`

### setCompletionEjbInterface

    public void setCompletionEjbInterface(java.lang.Class ejbInterface)

  Specified by:
    `setCompletionEjbInterface` in interface `ServiceDescription`

### getCompletionService

    public MethodDescription getCompletionService()

  Specified by:
    `getCompletionService` in interface `ServiceDescription`

### getCompensationService

    public MethodDescription getCompensationService()

  Specified by:
    `getCompensationService` in interface `ServiceDescription`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD